PETSc version 3.15.5
Fix/Edit manual page

# TaoGetIterationNumber

Gets the number of Tao iterations completed at this time.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoGetIterationNumber(Tao tao,PetscInt *iter)

Not Collective

### Input Parameter

| tao | - Tao context

### Output Parameter

| iter | - iteration number

### Notes

For example, during the computation of iteration 2 this would return 1.

### See Also

TaoGetLinearSolveIterations(), TaoGetResidualNorm(), TaoGetObjective()

### Level

intermediate

### Location

src/tao/interface/taosolver.c

### Examples

src/tao/unconstrained/tutorials/rosenbrock2.c.html
src/tao/unconstrained/tutorials/rosenbrock3.c.html
src/tao/unconstrained/tutorials/spectraladjointassimilation.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages